

;********************************************
;********************************************
;********************************************
;********************************************
;***************RESONATORS OPCODES***********
;********************************************
;********************************************
opcode Chladni_plates,a,akk

;[1, 1.72581, 5.80645, 7.41935, 13.91935] ratios 

asig,kpitch,kq xin



a1 mode  asig,1,kq
a2 mode  asig,kpitch*1.72581,kq
a3 mode  asig,kpitch*5.80645,kq
a4 mode  asig,kpitch*7.41935,kq
a5 mode  asig,kpitch*13.91935,kq

asum  sum  a1,a2,a3,a4,a5

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************



opcode Tibetan_bowl ,a,akk

asig,kpitch,kq xin

;[1, 2.77828, 5.18099, 8.16289, 11.66063, 15.63801, 19.99 ratios

a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*2.77828,kq
a3 mode  asig,kpitch*5.18099,kq
a4 mode  asig,kpitch*8.16289,kq
a5 mode  asig,kpitch*11.66063,kq
a6 mode  asig,kpitch*15.63801,kq
a7 mode  asig,kpitch*19.99,kq


asum  sum  a1,a2,a3,a4,a5,a6,a7

aout = asum


aout2  balance  aout,asig


xout aout2            ; write output

       endop

;********************************************
;********************************************
;********************************************


;********************************************
;********************************************
;********************************************



opcode Tibetan_bowl2 ,a,akk

asig,kpitch,kq xin

;[1, 2.66242, 4.83757, 7.51592, 10.64012, 14.21019, 18.14027] ratios

a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*2.66242,kq
a3 mode  asig,kpitch*4.83757,kq
a4 mode  asig,kpitch*7.51592,kq
a5 mode  asig,kpitch*10.64012,kq
a6 mode  asig,kpitch*14.21019,kq
a7 mode  asig,kpitch*18.14027,kq


asum  sum  a1,a2,a3,a4,a5,a6,a7

aout = asum


aout2  balance  aout,asig


xout aout2            ; write output

       endop

;********************************************
;********************************************
;********************************************


;********************************************
;********************************************
;********************************************



opcode Tibetan_bowl3 ,a,akk

asig,kpitch,kq xin

;[1, 2.76515, 5.12121, 7.80681, 10.78409] ratios 

a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*2.76515,kq
a3 mode  asig,kpitch*5.12121,kq
a4 mode  asig,kpitch*7.80681,kq
a5 mode  asig,kpitch*10.78409,kq


asum  sum  a1,a2,a3,a4,a5

aout = asum


aout2  balance  aout,asig


xout aout2            ; write output

       endop

;********************************************
;********************************************
;********************************************

opcode Small_Handbell ,a,akk


asig,kpitch,kq xin

;[ 1, 1.0019054878049, 1.7936737804878, 1.8009908536585, 2.5201981707317, 2.5224085365854,

; 2.9907012195122, 2.9940548780488, 3.7855182926829, 3.8061737804878, 4.5689024390244, 

;4.5754573170732, 5.0296493902439, 5.0455030487805, 6.0759908536585, 5.9094512195122,

; 6.4124237804878, 6.4430640243902, 7.0826219512195, 7.0923780487805, 7.3188262195122, 

;7.5551829268293 ] ratios 

a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*1.0019054878049,kq
a3 mode  asig,kpitch*1.7936737804878,kq
a4 mode  asig,kpitch*1.8009908536585,kq
a5 mode  asig,kpitch*2.5201981707317,kq
a6 mode  asig,kpitch*2.5224085365854,kq
a7 mode  asig,kpitch*2.9907012195122,kq
a8 mode  asig,kpitch*2.9940548780488,kq
a9 mode  asig,kpitch*3.7855182926829,kq
a10 mode  asig,kpitch*3.8061737804878,kq
a11 mode  asig,kpitch*4.5689024390244,kq
a12 mode  asig,kpitch*4.5754573170732,kq
a13 mode  asig,kpitch*5.0296493902439,kq
a14 mode  asig,kpitch*5.0455030487805,kq
a15 mode  asig,kpitch*6.0759908536585,kq
a16 mode  asig,kpitch*5.9094512195122,kq
a17 mode  asig,kpitch*6.4124237804878,kq
a18 mode  asig,kpitch*6.4430640243902,kq
a19 mode  asig,kpitch*7.0826219512195,kq
a20 mode  asig,kpitch*7.0923780487805,kq
a21 mode  asig,kpitch*7.3188262195122,kq
a22 mode  asig,kpitch*7.5551829268293,kq



aout = (a1+a2+a3+a4+a5+a6+a7+a8+a9+a10+a11+a12+a13+a14+a15+a16+a17+a18+a19+a20+a21+a22+a22)

aout2  balance  aout,asig

xout aout2            ; write output

       endop


;********************************************
;********************************************
;********************************************

opcode Spinel_sphere ,a,akk


asig,kpitch,kq xin


;[ 1, 1.026513174725, 1.4224916858532, 1.4478690202098, 1.4661959580455,

; 1.499452545408, 1.7891839345101, 1.8768994627782, 1.9645945254541, 1.9786543873113,

; 2.0334612432847, 2.1452852391916, 2.1561524686621, 2.2533435661294,;

; 2.2905090816065, 2.3331798413917, 0, 2.4567715528268, 2.4925556408289, 2.5661806088514,

; 2.6055768738808, 2.6692760296751, 2.7140956766436, 2.7543617293425, 2.7710411870043 ] ratios 



a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*1.026513174725,kq
a3 mode  asig,kpitch*1.4224916858532,kq
a4 mode  asig,kpitch*1.4478690202098,kq
a5 mode  asig,kpitch*1.4661959580455,kq
a6 mode  asig,kpitch*1.499452545408,kq
a7 mode  asig,kpitch*1.7891839345101,kq
a8 mode  asig,kpitch*1.8768994627782,kq
a9 mode  asig,kpitch*1.9645945254541,kq
a10 mode  asig,kpitch*1.9786543873113,kq
a11 mode  asig,kpitch*2.0334612432847,kq
a12 mode  asig,kpitch*2.1452852391916,kq
a13 mode  asig,kpitch*2.1561524686621,kq
a14 mode  asig,kpitch*2.2533435661294,kq
a15 mode  asig,kpitch*2.2905090816065,kq
a16 mode  asig,kpitch*2.3331798413917,kq
;a17 mode  asig,kpitch*0,kq
a18 mode  asig,kpitch*2.4567715528268,kq
a19 mode  asig,kpitch*2.4925556408289,kq
a20 mode  asig,kpitch*2.5661806088514,kq
a21 mode  asig,kpitch*2.6055768738808,kq
a22 mode  asig,kpitch*2.6692760296751,kq
a23 mode  asig,kpitch*2.7140956766436,kq

a24 mode  asig,kpitch*2.7543617293425,kq

a25 mode  asig,kpitch*2.7710411870043,kq


aout = (a1+a2+a3+a4+a5+a6+a7+a8+a9+a10+a11+a12+a13+a14+a15+a16+a18+a19+a20+a21+a22+a22+a23+a24+a25)

aout2  balance  aout,asig

xout aout2            ; write output

       endop

;*********************************************************************
;*********************************************************************
;*********************************************************************
;*********************************************************************

;*********************************************************************
opcode Vibraphone1 ,a,akk



asig,kpitch,kq xin


;[1, 3.984, 10.668, 17.979, 23.679, 33.642] 

a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*3.984,kq
a3 mode  asig,kpitch*10.668,kq
a4 mode  asig,kpitch*17.979,kq
a5 mode  asig,kpitch*23.679,kq
a6 mode  asig,kpitch*33.642,kq

asum  sum  a1,a2,a3,a4,a5,a6

aout = asum


aout2  balance  aout,asig


xout aout2            ; write output

       endop


;********************************************************
;*******************************************************

;*********************************************************************
;*********************************************************************
;*********************************************************************
;*********************************************************************

;*********************************************************************
opcode Vibraphone2 ,a,akk



asig,kpitch,kq xin


;[1, 3.997, 9.469, 15.566, 20.863, 29.440] 

a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*3.997,kq
a3 mode  asig,kpitch*9.469,kq
a4 mode  asig,kpitch*15.566,kq
a5 mode  asig,kpitch*20.863,kq
a6 mode  asig,kpitch*29.440,kq

asum  sum  a1,a2,a3,a4,a5,a6

aout = asum


aout2  balance  aout,asig


xout aout2            ; write output

       endop


;********************************************************
;*******************************************************




opcode Wine_Glass ,a,akk




asig,kpitch,kq xin

;[1, 2.32, 4.25, 6.63, 9.38] 

a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*2.32,kq
a3 mode  asig,kpitch*4.25,kq
a4 mode  asig,kpitch*6.63,kq
a5 mode  asig,kpitch*9.38,kq


asum  sum  a1,a2,a3,a4,a5

aout = asum


aout2  balance  aout,asig


xout aout2            ; write output

       endop


;***********************************************
;***********************************************
;***********************************************
;***********************************************
;***********************************************
;***********************************************
;***********************************************

opcode Membrane ,a,akk



asig,kpitch,kq xin



a1 mode  asig,kpitch*1,kq
a2 mode  asig,kpitch*1.59334,kq
a3 mode  asig,kpitch*2.13555,kq
a4 mode  asig,kpitch*2.65307,kq
a5 mode  asig,kpitch*2.29542,kq
a6 mode  asig,kpitch*2.9173,kq
a7 mode  asig,kpitch*3.50015,kq
a8 mode  asig,kpitch*4.05893,kq
a9 mode  asig,kpitch*3.59848,kq
a10 mode  asig,kpitch*4.23044,kq
a11 mode  asig,kpitch*4.83189,kq
a12 mode  asig,kpitch*5.41212,kq
a13 mode  asig,kpitch*4.90328,kq
a14 mode  asig,kpitch*5.5404,kq
a15 mode  asig,kpitch*6.15261,kq
a16 mode  asig,kpitch*6.74621,kq



aout = (a1+a2+a3+a4+a5+a6+a7+a8+a9+a10+a11+a12+a13+a14+a15+a16)/15


aout2  balance  aout,asig


xout aout2            ; write output

       endop

;********************************************
;********************************************
;********************************************

;Dahina tabla
;[1, 2.89, 4.95, 6.99, 8.01, 9.02] 

opcode Dahina_tabla,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 2.89
kfreq3 = 4.95
kfreq4 = 6.99
kfreq5 = 8.01
kfreq6 = 9.02


a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq


asum  sum  a1,a2,a3,a4,a5,a6

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************




;********************************************
;********************************************
;********************************************

;Bayan tabla
;[1, 2.0, 3.01, 4.01, 4.69, 5.63] 

opcode Bayan_tabla,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 2.0
kfreq3 = 3.01
kfreq4 = 4.01
kfreq5 = 4.69
kfreq6 = 5.63


a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq


asum  sum  a1,a2,a3,a4,a5,a6

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************

;Red Cedar wood plate
;[1, 1.47, 2.09, 2.56] 

opcode Red_Cedar,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 1.47
kfreq3 = 2.09
kfreq4 = 2.56



a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq



asum  sum  a1,a2,a3,a4

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************

;Redwood wood plate
;[1, 1.47, 2.11, 2.57] 

opcode Redwood,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 1.47
kfreq3 = 2.11
kfreq4 = 2.57



a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq



asum  sum  a1,a2,a3,a4

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************

;Douglas Fir wood plate
;[1, 1.42, 2.11, 2.47] 

opcode Douglas_Fir_wood,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 1.42
kfreq3 = 2.11
kfreq4 = 2.47



a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq



asum  sum  a1,a2,a3,a4

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************

;uniform wooden bar
;[1, 2.572, 4.644, 6.984, 9.723] 

opcode Wooden_bar,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 2.572
kfreq3 = 4.644
kfreq4 = 6.984
kfreq5 = 9.723


a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq


asum  sum  a1,a2,a3,a4,a5

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************

;uniform aluminum bar
;[1, 2.756, 5.423, 8.988, 13.448, 18.680] 

opcode Aluminum_bar,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 2.756
kfreq3 = 5.423
kfreq4 = 8.988
kfreq5 = 13.448
kfreq6 = 18.680

a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq

asum  sum  a1,a2,a3,a4,a5,a6

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************

;Xylophone
;[1, 3.932, 9.538, 16.688, 24.566, 31.147] 

opcode Xylophone,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 3.932
kfreq3 = 9.538
kfreq4 = 16.688
kfreq5 = 24.566
kfreq6 = 31.147

a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq

asum  sum  a1,a2,a3,a4,a5,a6

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************

;jegogan bars


;1    2.7   5.2     8.4    12.2



opcode Jegogan_bars,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 2.7
kfreq3 = 5.2
kfreq4 = 8.4
kfreq5 = 12.2


a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq


asum  sum  a1,a2,a3,a4,a5

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************


;********************************************
;********************************************
;********************************************




;0.22



opcode Chime_tube1,a,akk

asig,kpitch,kq xin

kfreq1 = 0.22
kfreq2 = 0.61
kfreq3 = 1.21
kfreq4 = 2
kfreq5 = 2.99
kfreq6 = 4.17
kfreq7 = 5.56
kfreq8 = 7.14



a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq
a7 mode  asig,kpitch*kfreq7,kq
a8 mode  asig,kpitch*kfreq8,kq

asum  sum  a1,a2,a3,a4,a5,a6,a7,a8

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************



opcode Chime_tube2,a,akk

asig,kpitch,kq xin

kfreq1 = 0.24
kfreq2 = 0.64
kfreq3 = 1.23
kfreq4 = 2
kfreq5 = 2.91
kfreq6 = 3.96
kfreq7 = 5.12
kfreq8 = 6.37



a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq
a7 mode  asig,kpitch*kfreq7,kq
a8 mode  asig,kpitch*kfreq8,kq

asum  sum  a1,a2,a3,a4,a5,a6,a7,a8

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************

;********************************************
;********************************************
;********************************************



opcode Chime_tube3,a,akk

asig,kpitch,kq xin

kfreq1 = 0.24
kfreq2 = 0.63
kfreq3 = 1.22
kfreq4 = 2
kfreq5 = 2.93
kfreq6 = 4.01
kfreq7 = 5.21
kfreq8 = 6.50



a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq
a7 mode  asig,kpitch*kfreq7,kq
a8 mode  asig,kpitch*kfreq8,kq

asum  sum  a1,a2,a3,a4,a5,a6,a7,a8

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************



opcode Chime_tube4,a,akk

asig,kpitch,kq xin

kfreq1 = 0.5
kfreq2 = 1
kfreq3 = 1.2
kfreq4 = 2
kfreq5 = 2.5
kfreq6 = 3
kfreq7 = 4
kfreq8 = 5.33
kfreq9 = 6.67


a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq
a7 mode  asig,kpitch*kfreq7,kq
a8 mode  asig,kpitch*kfreq8,kq
a9 mode  asig,kpitch*kfreq9,kq

asum  sum  a1,a2,a3,a4,a5,a6,a7,a8,a9

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************
;********************************************

; 	

;[ 1, 3.2, 6.23, 6.27, 9.92, 14.15] ratios

opcode Pot_lit,a,akk

asig,kpitch,kq xin

kfreq1 = 1
kfreq2 = 3.2
kfreq3 = 6.23
kfreq4 = 6.27
kfreq5 = 9.92
kfreq6 = 14.15



a1 mode  asig,kpitch*kfreq1,kq
a2 mode  asig,kpitch*kfreq2,kq
a3 mode  asig,kpitch*kfreq3,kq
a4 mode  asig,kpitch*kfreq4,kq
a5 mode  asig,kpitch*kfreq5,kq
a6 mode  asig,kpitch*kfreq6,kq


asum  sum  a1,a2,a3,a4,a5,a6

aout = asum
aout2  balance  aout,asig

xout aout2            ; write output

       endop
;********************************************
;********************************************
;********************************************